using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a devilish corpse" )]
	public class IceDevil : BaseCreature
	{
		public override double DispelDifficulty{ get{ return 125.0; } }
		public override double DispelFocus{ get{ return 45.0; } }

		[Constructable]
		public IceDevil () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "daemon" );
			HiddenTitle = "the ice devil";
			Body = 187;
			BaseSoundID = 357;
			Clan = Clan.Demonic;

			SetStr( 714, 758 );
			SetDex( 114, 143 );
			SetInt( 452, 488 );

			SetHits( 429, 455 );

			SetDamage( 11, 21 );

			SetSkill( SkillName.Concentration, 105.2, 120.0 );
			SetSkill( SkillName.Magery, 105.2, 120.0 );
			SetSkill( SkillName.MagicResist, 127.7, 142.5 );
			SetSkill( SkillName.Tactics, 105.2, 120.0 );
			SetSkill( SkillName.HandToHand, 90.2, 120.0 );

			Fame = 22500;
			Karma = -22500;

			VirtualArmor = 85;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.MedScrolls );
			AddLoot( LootPack.HighScrolls );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Greater; } }
		public override int Meat{ get{ return 2; } }

		public IceDevil( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
